Bug 622882 - SELinux is preventing /usr/sbin/ns-slapd "getattr" access to /usr/lib64/dirsrv.
SELinux is preventing /usr/sbin/ns-slapd "getattr" access to /usr/lib64/dirsrv.
Status: CLOSED WONTFIX
Product: 389
Classification: Community
Component: Security - General (Show other bugs)
1.2.6
All Linux
high Severity high
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
:
: 622880 (view as bug list)
Depends On:
Blocks: 434915 389_1.2.6
  Show dependency treegraph
 
Reported: 2010-08-10 12:37 EDT by Rich Megginson
Modified: 2015-01-04 18:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 10:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
avc (3.56 KB, text/plain)
2010-08-10 12:37 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2010-08-10 12:37:02 EDT
Created attachment 437946 [details]
avc

This was on F-13 but I suspect it may affect other platforms.  This happened after upgrading to the 389-ds-base-1.2.6.rc6.
Comment 1 Nathan Kinder 2010-08-10 12:54:00 EDT
This has to do with the change made for fixing bug 594745.  We removed the dirsrv_lib_t label and labeled our libs as the default of lib_t.  When a label is removed (by removing a policy module), any files using that label are changed to use unlabeled_t.

For the attached AVC, we can see that /usr/lib64/dirsrv is using the unlabeled_t label, yet the policy default is lib_t.  The files owned by the 389-ds-base package are supposed to be relabelled by calling fixfiles from the specfile.  Perhaps this scriptlet is not working?
Comment 2 Nathan Kinder 2010-08-10 12:56:49 EDT
*** Bug 622880 has been marked as a duplicate of this bug. ***
Comment 3 Rich Megginson 2010-08-10 13:56:19 EDT
This bug only affects upgrades from 1.2.6.rc5 to 1.2.6.rc6 or later.  I've tried clean install - no problem - 1.2.5 -> 1.2.6 - no problem - 1.2.6.a1 -> 1.2.6.rc6 - no problem.

I've added a warning about this to the release notes.

Note You need to log in before you can comment on or make changes to this bug.